-- قائمة الأحاديث العشوائية مع مصادرها واستخداماتها
local ahadith = {
    {text = "إنما الأعمال بالنيات وإنما لكل امرئ ما نوى.", source = "صحيح البخاري", usage = "توضيح أهمية النية في العمل."},
    {text = "الدين النصيحة.", source = "صحيح مسلم", usage = "تأكيد أهمية النصيحة في الدين."},
    {text = "من صمت نجا.", source = "سنن الترمذي", usage = "التأكيد على فضيلة الصمت وتجنب الكلام الفارغ."},
    {text = "أفضل الأعمال أن تدخل سرورًا على مؤمن.", source = "سنن ابن ماجه", usage = "تشجيع إدخال السرور على الآخرين."},
    {text = "من كان يؤمن بالله واليوم الآخر فليقل خيرًا أو ليصمت.", source = "صحيح البخاري", usage = "الترغيب في قول الخير أو الصمت."},
    {text = "لا يؤمن أحدكم حتى يحب لأخيه ما يحب لنفسه.", source = "صحيح البخاري", usage = "تشجيع المحبة والإيثار بين المسلمين."},
    {text = "طلب العلم فريضة على كل مسلم.", source = "سنن ابن ماجه", usage = "الحث على طلب العلم."},
    {text = "الكلمة الطيبة صدقة.", source = "صحيح البخاري", usage = "التشجيع على قول الكلمة الطيبة."},
    {text = "من حسن إسلام المرء تركه ما لا يعنيه.", source = "سنن الترمذي", usage = "الحث على تجنب الانشغال بما لا يهم."},
    {text = "يسروا ولا تعسروا وبشروا ولا تنفروا.", source = "صحيح البخاري", usage = "التشجيع على التيسير والتبشير في الأمور."},
    {text = "إياكم والظن فإن الظن أكذب الحديث.", source = "صحيح البخاري", usage = "التحذير من سوء الظن."},
    {text = "ليس الشديد بالصرعة إنما الشديد الذي يملك نفسه عند الغضب.", source = "صحيح البخاري", usage = "التأكيد على فضيلة التحكم في الغضب."},
    {text = "من سلك طريقًا يلتمس فيه علمًا سهل الله له طريقًا إلى الجنة.", source = "سنن الترمذي", usage = "تشجيع طلب العلم."},
    {text = "إذا مات الإنسان انقطع عنه عمله إلا من ثلاث: إلا من صدقة جارية، أو علم يُنتفع به، أو ولد صالح يدعو له.", source = "صحيح مسلم", usage = "التحفيز على الأعمال الدائمة."},
    {text = "من كان في حاجة أخيه كان الله في حاجته.", source = "صحيح مسلم", usage = "تشجيع مساعدة الآخرين."},
    {text = "تبسمك في وجه أخيك صدقة.", source = "سنن الترمذي", usage = "التشجيع على الابتسام والإيجابية."},
    {text = "من غشنا فليس منا.", source = "صحيح مسلم", usage = "التحذير من الغش."},
    {text = "الراحمون يرحمهم الرحمن.", source = "سنن الترمذي", usage = "تشجيع الرحمة."},
    {text = "خيركم من تعلم القرآن وعلمه.", source = "صحيح البخاري", usage = "التشجيع على تعلم وتعليم القرآن."},
    {text = "من لا يشكر الناس لا يشكر الله.", source = "سنن الترمذي", usage = "التأكيد على شكر الناس."},
}

-- دالة لطباعة حديث عشوائي
local function printRandomHadith()
    local randomIndex = math.random(1, #ahadith) -- اختيار فهرس عشوائي
    local hadith = ahadith[randomIndex]
    print("حديث: " .. hadith.text)
    print("المصدر: " .. hadith.source)
    print("الاستخدام: " .. hadith.usage)
end

-- اختبار الطباعة
printRandomHadith()